routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Route::get('lang/{lang}', ['as' => 'lang.switch', 'uses' => 'LanguageController@switchLang']);

Route::get('/barcode', function() {
	return view('admin.barcode');
});
Route::get('/', 'Admin\AdminLoginController@index');
Route::post('/admin/login', 'Admin\AdminLoginController@attemptLogin');
Route::resource('/forgot-password', 'Admin\ForgotPasswordController');
Route::any('send-email', 'Admin\ForgotPasswordController@sendEmail');
Route::get('password-reset/{token}', 'Admin\ForgotPasswordController@resetPassword');
Route::any('resetPassword', 'Admin\ForgotPasswordController@resetAdminPassword');
Route::post('/states/country', 'Admin\StateController@getStatesByCountry')->name('states.country');

#Admin authenticated route
Route::group(['middleware' => ['admin'], 'prefix'=>'admin', 'namespace' => 'Admin'], function() {
	Route::get('/dashboard', 'AdminDashboardController@index')->name('admin.dashboard');
	Route::get('/my-profile', 'AdminLoginController@editProfile')->name('admin.my.profile');
	Route::post('/my/profile/{id}', 'AdminLoginController@updateProfile')->name('admin.myprofile');
	Route::get('/logout', 'AdminLoginController@logout');

	#Country Routes
	Route::resource('/countries', 'CountryController');
	Route::post('/countries/status-update', 'CountryController@countryEnableDisabled')->name('countries.status');

	# currency Routes
	Route::resource('/currencies', 'CurrencyController');
	Route::post('/currencies/status-update', 'CurrencyController@currencyEnableDisabled')->name('currencies.status');

	#State Routes
	Route::resource('/states', 'StateController');
	Route::post('/states/status-update', 'StateController@stateEnableDisabled')->name('states.status');

	#User Routes
	Route::resource('/users', 'UserController');
	Route::post('/users/status-update', 'UserController@userEnableDisabled')->name('users.status');

	#Brand Routes
	Route::resource('/brands', 'BrandController');
	Route::post('/brands/status-update', 'BrandController@brandEnableDisabled')->name('brands.status');

	#Color Routes
	Route::resource('/colors', 'ColorController');
	Route::post('/colors/status-update', 'ColorController@colorEnableDisabled')->name('colors.status');

	#Models Routes
	Route::resource('/models', 'ModalController');
	Route::post('/models/status-update', 'ModalController@modelEnableDisabled')->name('models.status');

	#Company Routes
	Route::resource('/company', 'CompanyController');
	Route::post('/company/status-update', 'CompanyController@companyEnableDisabled')->name('company.status');
	Route::post('/company/email-check', 'CompanyController@emailCheck')->name('company.email-check');
	Route::get('/company-parking/{parkingId}/details', 'CompanyController@showCompanyParkingSpace')->name('company-parkings.show-details');
	// Route::resource('/company-parking', 'CompanyParkingController');
	// Route::get('/company-parking/{id}/add', 'CompanyParkingController@addParking')->name('company-parking.add');

	#Washer Routes
	Route::resource('/washer', 'WasherManController');
	Route::post('/washer/email-check', 'WasherManController@emailCheck')->name('washer.email-check');
	Route::post('/washer/mobile-check', 'WasherManController@mobileCheck')->name('washer.mobile-check');
	Route::post('/washer/status-update', 'WasherManController@washerEnableDisabled')->name('washer.status');
	Route::resource('/washer-company-allot', 'WasherCompanyAllotController');

	# credential generate
	Route::get('company/{id}/generate-credential', 'CompanyController@generateCompanyCredential')->name('company.generate-credential');
	Route::post('company/{id}/generate-credential', 'CompanyController@generateCredential')->name('company.generate-credential');
	
	#Discount Routes
	Route::resource('discount', 'DiscountController');
	Route::any('fetchCompanyId', 'DiscountController@fetchCompanyId');
	Route::any('openDiscounUpdate', 'DiscountController@openDiscountUpdate');
	Route::post('/discount/status-update', 'DiscountController@statusUpdate')->name('discount.status');

	#Promocodes Routes
	Route::resource('promocode', 'PromocodeController');
	// Route::any('promocode/fetchCompanyId', 'PromocodeController@fetchCompanyId');
	Route::any('openPromocodeUpdate', 'PromocodeController@openPromocodeUpdate');
	Route::post('/promocode/status-update', 'PromocodeController@statusUpdate')->name('promocode.status');

	# popularspace Routes
	Route::resource('popular-places', 'PopularPlaceController');

	#Routes for Commission
	Route::resource('commission', 'CommissionController');
	Route::any('OpenEditCommission', 'CommissionController@OpenEditCommission');
});

Route::group(['prefix' => 'company', 'namespace' => 'Company'], function() {
	Route::get('/', 'CompanyLoginController@index')->name('company.login');
	Route::post('/login', 'CompanyLoginController@attemptLogin')->name('company.attempt.login');
	Route::get('/forgot-password', 'ForgotPasswordController@index')->name('company.forgot-password.index');
	Route::any('send-email', 'ForgotPasswordController@sendEmail')->name('company.send-email');
	Route::get('password-reset/{token}', 'ForgotPasswordController@resetPassword');
	Route::any('resetPassword', 'ForgotPasswordController@resetCompanyPassword');

	Route::group(['middleware' => 'company'], function() {
		Route::get('/logout', 'CompanyLoginController@logout')->name('company.logout');
		Route::get('dashboard', 'DashboardController@index')->name('company.dashboard.index');

		# Company Parking Route
		Route::resource('company-parkings', 'CompanyParkingController');
		Route::post('/parking/status-update', 'CompanyParkingController@companyParkingEnableDisabled')->name('company-parking.status');

		# Company Discount Route
		Route::resource('company-discount', 'DiscountController');
		Route::any('openDiscounUpdate', 'DiscountController@openDiscountUpdate');
		Route::post('/discount/status-update', 'DiscountController@statusUpdate')->name('company-discount.status');

		# Company Promocode Route
		Route::resource('company-promocodes', 'PromoCodeController');
		Route::any('promocode/{id}/openDiscounUpdate', 'PromoCodeController@openPromocodeUpdate')->name('promocode.openPromocodeUpdate');
		Route::post('/promocode/status-update', 'PromoCodeController@statusUpdate')->name('company-promocode.status');

		# Event Routes
		Route::resource('events', 'EventController');
		Route::post('/events/status-update', 'EventController@eventEnableDisabled')->name('events.status');

		# Employee Routes
		Route::resource('/employees', 'EmployeeController');
		Route::post('/employees/email-check', 'EmployeeController@emailCheck')->name('employees.email-check');
		Route::post('/employees/mobile-check', 'EmployeeController@mobileCheck')->name('employees.mobile-check');
		Route::post('/employees/status-update', 'EmployeeController@employeeEnableDisabled')->name('employees.status');
		Route::get('/employees/{id}/parking-allot', 'EmployeeController@employeeParkingAllot')->name('employees.parking-allot');
		Route::post('/employees/{id}/parking-allocate', 'EmployeeController@employeeParkingAllocate')->name('employees.parking-allocate');

		# Company parking Space Route
		Route::get('company-parkings/{parking_id}/parking-space', 'CompanyParkingController@createSpaceOfParking')->name('parking-space.create');
		Route::post('parking-space/set-up-space', 'CompanyParkingController@setUpSpace')->name('parking-space.setup-space');
		Route::post('parking-space/space-description', 'CompanyParkingController@spaceDescription')->name('parking.space-description');
		Route::post('parking-space/space-feature', 'CompanyParkingController@parkingFeature')->name('parking.space-feature');
		Route::post('parking-space/mark-out-space', 'CompanyParkingController@markOutSpace')->name('parking-space.mark-out-space');
		Route::post('parking-space/payout-setting', 'CompanyParkingController@payoutSetting')->name('parking-space.payout-setting');
		Route::post('parking-space/advance-space-setting', 'CompanyParkingController@advanceSpaceSetting')->name('parking-space.advance-space-setting');
		Route::post('parking-space/parking-driver-feature', 'CompanyParkingController@parkingDriverFeature')->name('parking-space.parking-driver-feature');
		Route::post('parking-space/parking-washer-feature', 'CompanyParkingController@parkingWasherFeature')->name('parking-space.parking-washer-feature');
		Route::post('parking-space/parking-booking-feature', 'CompanyParkingController@parkingBookingFeature')->name('parking-space.parking-booking-feature');
		Route::post('parking-space/parking-subscription-feature', 'CompanyParkingController@parkingSubscriptionFeature')->name('parking-space.parking-subscription-feature');

		#Booking management Routes
		Route::resource('onGoingbooking', 'BookingController');
		Route::get('/onGoingbooking/show/{id}/{type}','BookingController@show')->name('onGoingbooking.show');
		Route::post('/onGoingbooking/export','BookingController@exportdata')->name('onGoingbooking.export');
	});
});

app/Models/Washerman.php
<?php

namespace App\Models;

use Carbon\Carbon;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Notifications\Notifiable;
use Illuminate\Database\Eloquent\SoftDeletes;

#Interface
use App\Interfaces\UserTypeInterface;

class Washerman extends Model implements UserTypeInterface
{
    use SoftDeletes;
  
    # define table
    protected $table ='washermen';
  
    # define fillable fildes
    protected $fillable =   [
        'washer_auto_id',
        'current_booking_id',
        'name',
        'email',
        'mobile',
        'city',
        'country',
        'gender',
        'date_of_join',
        'address',
        'image_path',
        'status',
        'device_type',
        'device_token',
        'latitude',
        'longitude',
        'pincode',
        'job_type_id',
        'company_id',
        'current_parking_id',
        'country_code',
        'password',
        'token',
    ];

    /**
     * @method to fetch relation with company
     * @return state collection
     * @param
    */
    public function washermanCompanies()
    {
        return $this->hasMany(WasherAllotCompany::class, 'washer_id', 'id');
    }

     /**
     * @method to fetch relation with company
     * @return state collection
     * @param
    */
    public function company()
    {
        return $this->belongsTo(Company::class, 'company_id', 'id');
    }

    /**
     * @method to fetch relation with company
     * @return state collection
     * @param
    */
    public function supervisorBookings()
    {
        return $this->hasMany(SupervisorBooking::class, 'supervisor_id', 'id');
    }

    /**
     * @method to fetch relation with driverBookings
     * @return state collection
     * @param
    */
    public function driverBookings()
    {
        return $this->hasMany(DriverBooking::class, 'driver_id', 'id');
    }

    /**
     * @method to fetch relation with company
     * @return state collection
     * @param
    */
    public function washerBookings()
    {
        return $this->hasMany(WasherBooking::class, 'washer_id', 'id');
    }

    /**
     * @method to fetch relation with current parking
     * @return relation
     * @param
    */
    public function currentParking()
    {
        return $this->belongsTo(CompanyParking::class, 'current_parking_id', 'id');
    }

    /**
     * @method to fetch relation with current Booking
     * @return relation
     * @param
    */
    public function currentBookingOnSupervisor()
    {
        return $this->belongsTo(SupervisorBooking::class, 'current_booking_id', 'booking_id')
                    ->where('set_or_get', 'get');
    }

    /**
     * @method to fetch relation with current Booking
     * @return relation
     * @param
    */
    public function currentBookingOnDriver()
    {
        return $this->belongsTo(DriverBooking::class, 'current_booking_id', 'booking_id')
                    ->where('set_or_get', 'get');
    }
    
    /**
     * @method to user by filters
     * @return query builder
     * @param
    */
    public function scopeSearchFilter($query, $countryName, $stateName, $fromDate, $toDate, $month)
    {
        if (!empty($countryName)) {
            $query->where(function($query) use ($countryName) {
                $query->where('country', 'LIKE', '%' . $countryName . '%');
            });
        }

        if (!empty($stateName)) {
            $query->where(function($query) use ($stateName) {
                $query->where('city', 'LIKE', '%' . $stateName . '%');
            });
        }

        if (!empty($fromDate) || !empty($toDate)) {
            $fromDate   = date('Y-m-d', strtotime($fromDate));
            $toDate     = date('Y-m-d', strtotime($toDate));
            $query->where(function($query) use ($fromDate, $toDate) {
                // $query->whereDate('created_at', '>', $fromDate)->whereDate('created_at', '<', $toDate);
                $query->whereDate('date_of_join', '>', $fromDate)->whereDate('date_of_join', '<', $toDate);
            });
        }

        if (!empty($month)) {
            if ($month == '1') {
                $startDate = Carbon::now()->subDays(30);
            } else if ($month == '3') {
                $startDate = Carbon::now()->subDays(90);
            } else if ($month == '6') {
                $startDate = Carbon::now()->subDays(180);
            }
            
            $query->where(function($query) use ($startDate) {
                # Get carbon now date
                $carbonToDayDate = Carbon::now();
                // $query->whereDate('created_at', '>', $startDate)->whereDate('created_at', '<', $carbonToDayDate);
                $query->whereDate('date_of_join', '>', $startDate)->whereDate('date_of_join', '<', $carbonToDayDate);
            });
        }
    }

    /**
     * @method 
     * @return query builder
     * @param
    */
    public function scopeIsNotWasher($query)
    {
        return $query->where('job_type_id', '!=', 3);
    }

    /**
     * Scope a query to only Supervsior users.
     *
     * @param  \Illuminate\Database\Eloquent\Builder  $query
     * @return \Illuminate\Database\Eloquent\Builder
    */
    public function scopeSupervisor($query)
    {
        #Query
        return $query->where('job_type_id', UserTypeInterface::SUPERVISOR);
    }

    /**
     * Scope a query to only Driver users.
     *
     * @param  \Illuminate\Database\Eloquent\Builder  $query
     * @return \Illuminate\Database\Eloquent\Builder
    */
    public function scopeDriver($query)
    {
        #Query
        return $query->where('job_type_id', UserTypeInterface::DRIVER);
    }

    /**
     * Scope a query to only Washer users.
     *
     * @param  \Illuminate\Database\Eloquent\Builder  $query
     * @return \Illuminate\Database\Eloquent\Builder
    */
    public function scopeWasher($query)
    {
        #Query
        return $query->where('job_type_id', UserTypeInterface::WASHER);
    }

    /**
     * @method 
     * @return query builder
     * @param
    */
    public function scopeonlyWasher($query)
    {
        return $query->where('job_type_id', 3);
    }

    /**
     * @method 
     * @return query builder
     * @param
    */
    public function scopeonlyCompany($query, $companyId)
    {
        return $query->where('company_id', $companyId);
    }

    /**
     * @method
     * @return query builder
     * @param
    */
    public function getJobTypeAttribute()
    {
        if ($this->job_type_id == 1) {
            return "Supervisor";
        } else if ($this->job_type_id == 2) {
            return "Driver";
        } else {
             return "Washer";
        }
    }

    /**
     * @method to fetch image with full path
     * @return string|''
     * @param
    */
    public function getImageFullPathAttribute()
    {
      return $this->image_path != '' ? Url('/').'/'.$this->image_path : '';
    }
}

resources/views/admin/washerman/create.blade.php
<div class="modal-dialog modal-lg">
  <div class="modal-content">
    <div class="modal-body">
      <form method="post" action="{{ route('washer.store') }}" enctype="multipart/form-data" id="washer_create" name="washer_create">
        @csrf
        <h5>Add Basic Details</h5>

        <div class="row">
          <div class="col-md-6">
            <div class="form-group">
              <input type="text" name="washer_auto_id" readonly="readonly" class="form-control" placeholder="washer ID" value="{{ $washerSequence ?? '' }}" />
            </div>

            <div class="form-group">
              <input type="email" name="email" class="form-control" placeholder="Email"/>
            </div>

            <div class="form-group">
              <input type="text" name="city_name" class="form-control" placeholder="City"/>
            </div>

            <div class="form-group">
              <input type="text" name="gender" class="form-control" placeholder="Gender"/>
            </div>
          </div>
          
          <div class="col-md-6">

            <div class="form-group">
              <input type="text" name="name" class="form-control" placeholder="Washer Name"/>
            </div>

            <div class="row">
              <div class="col-md-4">
                <div class="form-group">
                  <input type="number" name="country_code" class="form-control" placeholder="Country code"/>
                </div>
              </div>
              <div class="col-md-8">
                <div class="form-group">
                  <input type="text" onkeypress="return numbersonly(event);" maxlength="10"  name="mobile" class="form-control" placeholder="Mobile"/>
                </div>
              </div>
            </div>

            <div class="form-group">
              <input type="text" name="country_name" class="form-control" placeholder="Country"/>
            </div>

            <div class="form-group">
              <textarea rows="3" name="address" class="form-control" placeholder="Address"></textarea>
            </div>

            <div class="form-group">
              <input type="file" name="washer_image">
            </div>
          </div>
        </div>

        <div class="text-center">
          <button type="button" class="btn btn-gradient-success btn-md float-right ml-3" data-dismiss="modal">Close</button>
          <button type="submit" class="btn btn-gradient-success btn-md float-right washer_create_submit">Save & Add</button>
        </div>
      </form>
    </div>
  </div>
</div>

<script type="text/javascript">
  $(function() {
    $("form[name='washer_create']").validate({
      rules: {
        name: "required",
        country_code: "required",
        mobile: {
          required: true,
          minlength: 10,
          remote: {
              url: "{{ route('washer.mobile-check') }}",
              type: "post"
           }
        },
        email: {
          required: true,
          minlength: 5,
          remote: {
              url: "{{ route('washer.email-check') }}",
              type: "post"
           }
        }
      },
      messages: {
        name: "Please Enter Name",
        country_code: "Please Enter Country Code",
        mobile: {
          required: "Please enter your Mobile Number",
          minlength: "Your mobile must be at least 10 characters long",
          remote : 'Mobile Number already in record'
        },
        email: {
          required: "Email is required",
          minlength: "Your Email should be at atleast 5 character",
          remote: "Email already in record"
        }
      }
    });
  });
</script>

resources/views/admin/washerman/edit.blade.php
<div class="modal-dialog modal-lg">
  <div class="modal-content">
    <div class="modal-body">
      <form method="post" action="{{ route('washer.update', [$washer->id ?? '']) }}" enctype="multipart/form-data" id="washer_edit" name="washer_edit">
        @csrf
        @method('patch')
        <h5>Edit Basic Details</h5>

        <div class="row">
          <div class="col-md-6">
            <div class="form-group">
              <input type="text" name="washer_auto_id" readonly="readonly" class="form-control" placeholder="washer ID" value="{{ $washer->washer_auto_id ?? '' }}" />
            </div>

            <div class="form-group">
              <input type="email" readonly="readonly" name="email" class="form-control" placeholder="Email" value="{{ $washer->email ?? '' }}" />
            </div>

            <div class="form-group">
              <input type="text" name="city_name" class="form-control" placeholder="City" value="{{ $washer->city ?? '' }}"/>
            </div>

            <div class="form-group">
              <input type="text" name="gender" class="form-control" placeholder="Gender" value="{{ $washer->gender ?? '' }}"/>
            </div>
          </div>
          
          <div class="col-md-6">

            <div class="form-group">
              <input type="text" name="name" class="form-control" placeholder="Washer Name" value="{{ $washer->name ?? '' }}"/>
            </div>

            <div class="row">
              <div class="col-md-4">
                <div class="form-group">
                  <input type="number" name="country_code" class="form-control" placeholder="Mobile" value="{{ $washer->country_code ?? '' }}"/>
                </div>
              </div>
              <div class="col-md-8">
                <div class="form-group">
                  <input type="text" onkeypress="return numbersonly(event);" maxlength="10" readonly="readonly" name="mobile" class="form-control" placeholder="Mobile" value="{{ $washer->mobile ?? '' }}"/>
                </div>
              </div>
            </div>

            <div class="form-group">

            </div>

            <div class="form-group">
              <input type="text" name="country_name" class="form-control" placeholder="Country" value="{{ $washer->country ?? '' }}"/>
            </div>

            <div class="form-group">
              <textarea rows="3" name="address" class="form-control" placeholder="Address">{{ $washer->address ?? '' }}</textarea>
            </div>

            <div class="form-group">
              <input type="file" name="washer_image">
              <img src="{{ asset($washer->image_path ?? '') }}" class="wpx-50 hpx-50 mb-1 mr-1">
            </div>
          </div>
        </div>

        <div class="text-center">
          <button type="button" class="btn btn-gradient-success btn-md float-right ml-3" data-dismiss="modal">Close</button>
          <button type="submit" class="btn btn-gradient-success btn-md float-right washer_edit_submit">Save & Update</button>
        </div>
      </form>
    </div>
  </div>
</div>

<script type="text/javascript">
  $(function() {
    $("form[name='washer_edit']").validate({
      rules: {
        name: "required",
        country_code: "required",
        email: "required",
        mobile: {
          required: true,
          minlength: 10
        }
      },
      messages: {
        name: "Please Enter Name",
        country_code: "Please Enter Country Code",
        email: "Please Enter Email",
        mobile: {
          required: "Please enter your Mobile Number",
          minlength: "Your mobile must be at least 10 characters long"
        }
      }
    });
  });
</script>

resources/views/admin/washerman/index.blade.php
@extends('layouts.main-layout')
@section('content')
<!-- content-wrapper start -->
<div class="content-wrapper">
  <div class="page-header">
    <h3 class="page-title">
      <span class="page-title-icon bg-gradient-primary text-white mr-2">
        <i class="mdi mdi-water-pump"></i>
      </span> Washer List
    </h3>
  </div>
  
  <form method="get" action="{{ route('washer.index') }}">
    <div class="row gutter-sm">
      <div class="col-12 col-sm-3 col-md-3 form-group">
          <select class="form-control" name="country_name" id="country_name">
            <option value="" data-id="">Select Country</option>
            @foreach($countries as $country)
              <option  data-id="{{ $country->id ?? '' }}" @if($countryName == $country->name) selected="selected" @endif value="{{ $country->name ?? ''}}">
                {{ $country->name ?? '' }}</option>
          @endforeach
          </select>
      </div>

      <div class="col-12 col-sm-3 col-md-3 form-group">
          <select class="form-control" name="state_name" id="state_name">
            <option value="">Select City</option>
            @foreach($states as $state)
              <option @if($stateName == $state->name) selected="selected" @endif value="{{ $state->name ?? ''}}">
                {{ $state->name ?? '' }}</option>
          @endforeach
          </select>
      </div>
      <div class="col-12 col-sm-3 col-md-3 form-group">
          <input type="text" autocomplete="off" class="form-control" value="{{ $fromDate ?? ''}}" name="start_date" placeholder="From Date" id="start_date" />
      </div>
      <div class="col-12 col-sm-3 col-md-3 form-group">
          <input type="text" autocomplete="off"  class="form-control" name="end_date" value="{{ $todate ?? '' }}" placeholder="To Date" id="end_date" />
      </div>
      <div class="col-12 col-sm-3 col-md-3 form-group">
          <select class="form-control" name="month">
            <option value="">Select Month</option>
            <option value="1" @if($month == '1') selected="selected" @endif>1 Month</option>
            <option value="3" @if($month == '3') selected="selected" @endif>3 Months</option>
            <option value="6" @if($month == '6') selected="selected" @endif>6 Months</option>
          </select>
      </div>

      <div class="col-12 col-sm-9 col-md-12 col-lg-6 form-group">
        <button type="submit" class="btn btn-md btn-gradient-success"><i class="mdi mdi-file-excel"></i> Filter</button>
        <button type="button" class="btn btn-md btn-gradient-success btn-modal" data-href="{{ route('washer.create') }}" 
          data-container=".washer_create">ADD </button>
      </div>
    </div>
  </form>

  <div class="row">
    <div class="col-md-12 stretch-card grid-margin">
      <div class="card card-img-holder">
        <div class="card-body">
          <div class="table-responsive">
            <table class="table table-striped datatable-washer">
              <thead>
                <th>Washer Id.</th>
                <th>Washer Name</th>
                <th>Mobile</th>
                <th>Email</th>
                <th>Joining Date</th>
                <th>Country</th>
                <th>City</th>
                <th>Action</th>
              </thead>
              <tbody>

                @foreach($washermens as $washer)
                  <tr>
                    <td>{{ $washer->washer_auto_id ?? '' }}</td>
                    <td>{{ $washer->name ?? '' }}</td>
                    <td>{{ $washer->mobile ?? '' }}</td>
                    <td>{{ $washer->email ?? '' }}</td>
                    <td>{{ $washer->date_of_join ?? '' }}</td>
                    <td>{{ $washer->country ?? '' }}</td>
                    <td>{{ $washer->city ?? '' }}</td>
                    <td>
                      <a href="{{ route('washer.show', [$washer->id ?? '']) }}" class="btn btn-gradient-success btn-sm"><i class="mdi mdi-eye"></i></a>
                      <label class="togglebox toggleStatus ml-1" data-washer-id="{{ $washer->id ?? ''}}">
                        <input type="checkbox" @if($washer->status == 1) checked="checked" @endif name="block_unblock" hidden=""/>
                        <span class="label-text"></span>
                      </label>
                    </td>
                  </tr>
                @endforeach
              </tbody>
            </table>
            {{ $washermens->links() }}
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<!-- content-wrapper ends -->
<div class="modal fade washer_create" data-keyboard="false" tabindex="-1" role="dialog" 
    aria-labelledby="gridSystemModalLabel" data-backdrop="static" data-keyboard="false">
</div>
@stop

@section('js-content')
  <script type="text/javascript">

    $('.datatable-washer').DataTable({
      dom: 'Bfrtip',
      buttons: [
       {
          extend: 'copy',
          exportOptions: {
            columns: [0,1,2,3,4,5,6]
          }
       },
       {
          extend: 'csv',
          exportOptions: {
            columns: [0,1,2,3,4,5,6]
          }
       },
       {
          extend: 'excel',
          exportOptions: {
            columns: [0,1,2,3,4,5,6]
          }
       },
       {
          extend: 'print',
          exportOptions: {
            columns: [0,1,2,3,4,5,6]
          }
       }
      ]
    });

    $(document).ready(function(){

      $("#start_date").datepicker({
          orientation: 'bottom',
          autoclose: true
      }).on('changeDate', function(selected) {
          var startDate = new Date(selected.date.valueOf());
          $('#end_date').datepicker('setStartDate', startDate);
      });
        
      $("#end_date").datepicker({
          orientation: 'bottom',
          autoclose: true
      }).on('changeDate', function(selected) {
          var startDate = new Date(selected.date.valueOf());
          $('#start_date').datepicker('setEndDate', startDate);
        });
    })

    $(document).on('submit', 'form#washer_create', function(e) {
      e.preventDefault();
      var data = new FormData(this);
      $('.washer_create_submit').attr('disabled','disabled');

      $.ajax({
          cache:false,
          contentType: false,
          processData: false,
          url: $(this).attr("action"),
          method: $(this).attr("method"),
          dataType: "json",
          data: data,
          success: function(response) {
            $('.washer_create_submit').removeAttr('disabled','disabled');
            if (response.status == 200) {
                swal(response.success_message);
                $('div.washer_create').modal('hide');
                location.reload(true);
            }
          }
      }); 
    });

    $(document).on('change', 'label.toggleStatus', function() {
      var washerId = $(this).data('washer-id')

      $.ajax({
        method: 'POST',
        url: "{{ route('washer.status') }}",
        data: {washer_id: washerId},
        dataType: 'json',
        success: function(response) {
          if (response.status == 200) {
            swal(response.success_message)
            location.reload(true);
          }
        }
      })
    })

  </script>
@stop